---
updatedAt: 2025-11-11T00:04:17.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Create Cards in bulk

## Create Multiple Cards In Bulk

To create multiple cards successfully make a POST Request to the [bulk card endpoint](https://docs.interswitchgroup.com/reference/create-a-card-in-bulk) .

`/card-management/api/v1/fintech-cms/cpdp`

These are the parameters of the request:

**Query parameters**

<Table align={["left","left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter #
      </th>

      <th>
        Parameter Name
      </th>

      <th>
        Data Type
      </th>

      <th>
        Required
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        1
      </td>

      <td>
        cardType
      </td>

      <td>
        string
      </td>

      <td>
        true
      </td>

      <td>
        The value can be any of :  

        1\. DEBIT\_NEW\_ACCOUNT: The user does not exist yet within your platform.\
        2\. DEBIT\_EXISTING\_ACCOUNT: The user account is already present on your platform.\
        3\. DEBIT\_REISSUE: Choose this option when you must re-issue a customer card.\
        4\. PREPAID\_NEW: The user account is not yet registered on your platform.\
        5\. PREPAID\_REISSUE: Choose this option when you must re-issue a card to a customer.
      </td>
    </tr>

    <tr>
      <td>
        2
      </td>

      <td>
        isActiveActive
      </td>

      <td>
        boolean
      </td>

      <td>
        false
      </td>

      <td>
        True: Select this option when you want to create a backup for the card.\
        False: Select this option when you don't want a backup.
      </td>
    </tr>
  </tbody>
</Table>

**Request Body**

| Field name                   | Data type     | Max length    | Required   | Description                                                                                             |
| :--------------------------- | :------------ | :------------ | :--------- | :------------------------------------------------------------------------------------------------------ |
| issuerNr                     | int           | 3             | true       | Issuer Number e.g 2                                                                                     |
| cardProgram                  | string        | 1 to 20       | true       | Card Program e.g VERVE                                                                                  |
| userId                       | string        | 3 to 20       | true       | User ID or Name e.g Alex                                                                                |
| branchCode                   | string        | 10            | false      | Branch Code                                                                                             |
| customers                    | Object        | 1 to 500      | true       | List of Customer Details. See Customer Info Fields Below for more details on the internal request body. |
| customers.accountId          | string        | 10 to 28      | false/true | Required for All Debit Card Types                                                                       |
| customers.accountType        | string        | 2 to 2        | false/true | Required for New Debit and Prepaid Cards                                                                |
| customers.lastName           | string        | 30            | false/true | Required for New Debit and Prepaid Cards                                                                |
| customers.firstName          | string        | 30            | false/true | Required for New Debit and Prepaid Cards                                                                |
| customers.nameOnCard         | string        | 25            | false/true | Required for New Debit and Prepaid Cards                                                                |
| customers.pan                | string        | 16 to 19      | false/true | Required for Reissue of Debit and Prepaid Cards                                                         |
| customers.lostOrStolen       | boolean       | true or false | false/true | Required for Reissue of Debit and Prepaid Cards                                                         |
| customers.pin                | string        | 4             | false      | The default is 1234 when not provided                                                                   |
| customers.customerId         | string        | 25            | false      | Autogenerated when not provided                                                                         |
| customers.mobileNr           | string        | 50            | false      | Customer Mobile Number                                                                                  |
| customers.emailAddress       | string        | 70            | false      | Customer Email Address                                                                                  |
| customers.streetAddress      | string        | 100           | false      | Street Address                                                                                          |
| customers.streetAddressLine2 | string        | 100           | false      | Street Address Line 2                                                                                   |
| customers.city               | string        | 40            | false      | City                                                                                                    |
| customers.state              | string        | 20            | false      | State                                                                                                   |
| customers.postalCode         | string        | 20            | false      | Postal Code                                                                                             |
| customers.countryCode        | string        | 3             | false      | Country Code                                                                                            |
| customers.title              | string        | 10            | false      | Customer Title e.g. Mr.                                                                                 |
| customers.middleName         | string        | 30            | false      | Customer Middle Name                                                                                    |
| customers.dateOfBirth        | true or false | 8 to 8        | false      | Date of Birth in the format YYYYMMDD e.g 19810130                                                       |
| issuerCode                   | string        |               | true       | Issuer Code for Data Prep                                                                               |
| persoCode                    | string        |               | true       | Perso Code for Data Prep                                                                                |
| jobTemplateId                | int           |               | true       | Job Template ID for Data Prep                                                                           |
| cardDataType                 | string        |               | true       | Card Data Type for Data Prep                                                                            |
| creatorEmail                 | string        |               | true       | Creator Email for Data Prep                                                                             |
| passphrase                   | string        |               | false      |                                                                                                         |
| rid                          |               |               | false      | Receiving Institution Identifier obtained from the Interswitch operations team                          |

This is what a typical request would look like

```coffeescript Create Bulk Cards
{
   "issuerNr": "2",
  "cardProgram": "VERVE",
  "userId": "Alex",
  "customers": [
    {
      "accountId": "1234567800",
      "accountType": "20",
      "lastName": "John",
      "firstName": "Doe",
      "nameOnCard": "John Doe"
    },
    {
      "accountId": "1234567801",
      "accountType": "20",
      "lastName": "Mariah",
      "firstName": "Carey",
      "nameOnCard": "Mariah Carey"
    }
  ],
  "issuerCode": "tst",
  "persoCode": "tps",
  "jobTemplateId": 4,
  "cardDataType": "test",
  "creatorEmail": "support@interswitchgroup.com"
}
```

**Response message  field description**

| Field # | Field name    | Description                        |
| :------ | :------------ | :--------------------------------- |
| 1       | code          | Internal Response Code             |
| 2       | description   | Successful or Error Message        |
| 3       | correlationId | Request identifier                 |
| 4       | errors        | Errors array if any errors exists. |

This is what a typical successful or failed response would look like

```coffeescript success
{
  "code": "00",
  "description": "Card Production Request has been forwarded and creation in progress",
  "correlationId": "f358f91b8703472b8ee6ff8e56f48032"
}
```
```coffeescript failure
{
  "code": "400",
  "description": "[<FIELD> is required or invalid]",
  "errors": [
    {
      "message": "<FIELD> is required or invalid",
      "fieldName": "<FIELD>"
    },
    {
      "message": "<FIELD> is required or invalid",
      "fieldName": "<FIELD>"
    }
  ]
}
```

## Retry Bulk Card Production

This API handles retries for bulk card production and data prep requests, with the same parameters and request body that was sent originally.

```coffeescript Request
POST /card-management/api/v1/fintech-cms/cpdp/retry
```

These are the parameters of the request:

**Body Parameters**

| Field # | Field name | Data type | Max length | Required | Description                   |
| :------ | :--------- | :-------- | :--------- | :------- | :---------------------------- |
| 1       | branchId   | int       |            | true     | Bulk Card Production Batch ID |
| 2       | issuerCode | string    |            | false    | Issuer Code for Data Prep     |
| 3       | persoCode  | string    |            | false    | Perso Code for Data Prep      |

A request would look like this:

```coffeescript request
{
  "batchId": 81,
  "issuerCode": "tst",
  "persoCode": "tps"
}
```

**Response Message  field description**

| Field # | Field name    | Description                        |
| :------ | :------------ | :--------------------------------- |
| 1       | code          | Internal Response Code             |
| 2       | description   | Successful or Error Message        |
| 3       | correlationId | Request identifier                 |
| 4       | errors        | Errors array if any errors exists. |

A successful or failed response would be like this :

```coffeescript successful
{
  "code": "00",
  "description": "Card Production Request has been forwarded and creation in progress",
  "correlationId": "4112af20fcee410fb9a07b61fc721a2c"
}
```
```coffeescript failure
{
  "code": "400",
  "description": "BatchId for Batch Process does not exist",
  "correlationId": "2aa197eda43540a4ad85b8d0bf570871"
}
```